Skip to main content
POST
Register Application

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Body

application/json
application_directory_id
string
required
write_confirmations_required
boolean
default:true
llm_gateway_enabled
boolean
default:false

Response

Successful Response

deleted_at
string<date-time> | null
required
id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
organization_id
string<uuid>
required
application_directory_id
string<uuid>
required
write_confirmations_required
boolean
default:true
required
llm_gateway_enabled
boolean
default:false
required